## metche 1.1

=== Makefile ===
all: doc

metche-manpage.xml: metche-manpage.sgml
	sgml2xml -xlower -xid $< > $@

metche.8: metche-manpage.xml
	db2x_xsltproc -s /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

doc: metche.8

clean:
	rm -f metche-manpage.xml

distclean: clean
	rm -f metche.8

.PHONY: all doc clean distclean

## metche 1.2.1

=== debian/changelog ===
metche (1:1.2.1-1) unstable; urgency=low

  [ intrigeri ]
  * New upstream release, including:
    - Support more mailers than just mutt.
      Thanks to Kan-Ru Chen <koster@debian.org> for the preliminary patch.
      (Closes: #621467)
    - EXCLUDES: add a bunch of VCS directories.
    - Various documentation updates and enhancements.
  * Don't monitor any Changelog by default (Closes: #488270)
  * Add Danish translation of debconf templates.  Thanks to Joe Dalton.
    (Closes: #589859)
  * Add Vietnamese translation of debconf templates. Thanks to Clytie
    Siddall.  (Closes: #576137)
  * Convert to dh7 tiny rules format.
  * Use ucf's --three-way option.
  * Explicitly specify the current source package format.
  * Update Homepage, Vcs-Browser and Vcs-Git control fields.
  * Add git-buildpackage configuration suitable for new Git repository layout.
  * Bump Standards-version to 3.9.2 (no changes required).
  * Convert to 3.0 (quilt) source format.
  * Depend on mutt|mailx|mail-transport-agent rather than mutt only since
    upstream code now supports this.

 -- metche developers <metche@lists.riseup.net>  Sun, 05 Jun 2011 17:09:52 +0200

metche (1:1.2-1) unstable; urgency=low

  * New upstream release, including:
    - manual "metche stabilize" invocation and metche first run now send
      an e-mail
    - enhanced default EXCLUDES list
    - new SEND_STABLE_REPORTS configuration setting that controls
      whether a report email is sent after saving a stable state
  * Update our collective maintainer's name.
  * Add Italian translation of debconf templates.  Thanks to Vincenzo
    Campanella.  (Closes: #560350)

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 24 Dec 2009 14:12:21 +0100

metche (1:1.1-5) unstable; urgency=low

  * Replace XS-Vcs-Svn with Vcs-Browser and Vcs-Svn in debian/control.
  * Bump Standards-version to 3.8.3 (no changes required).
  * Correct typo in debconf templates ("maintainted"). Unfuzzy
    translations. Thanks to Marce Villarino for pointing this.
  * Add ${misc:Depends} to binary package dependency, to
    properly cope with dependencies implied by the use
    of some debhelper utilities. That replaces dependencies
    on debconf
  * Fix pending l10n issues. Debconf translations:
    - Swedish (Martin Bagge).  Closes: #510554
    - Spanish (Francisco Javier Cuadrado).  Closes: #516702
    - Russian (Yuri Kozlov).  Closes: #552443
    - Galician (Marce Villarino).  Closes: #558830

 -- boum.org collective <metche@lists.riseup.net>  Tue, 15 Dec 2009 17:42:58 +0100

metche (1:1.1-4) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add German translation of debconf templates.  Thanks to Helge Kreutzmann.
    (Closes: #427541)
  * Switch to debhelper 5.

 -- intrigeri <intrigeri@boum.org>  Thu, 25 Oct 2007 10:09:57 +0200

metche (1:1.1-3) unstable; urgency=low

  * Update my email address in uploaders.
  * Add Portugese translation.  Thanks to Luísa Lourenço.  (Closes: #415223)

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 17 Mar 2007 17:01:32 +0100

metche (1:1.1-2) unstable; urgency=low

  * Build .deb in binary-indep target instead of binary-arch.
  * Only initialize metche data during postinst when the package
    was not configured before. (Closes: #391059)
  * Update Czech translation. (Closes: #391547)
  * Add XS-Vcs-Svn field to debian/control.

 -- Jérémy Bobbio <jeremy.bobbio@etu.upmc.fr>  Mon, 30 Oct 2006 18:36:00 +0100

metche (1:1.1-1) unstable; urgency=low

  * New upstream release, including these fixes:
    - add support for Linux VServers,
    - improve default EXCLUDES,
    - clear up documentation about how backups are made. (Closes: #365694)
  * Add Suggests for util-vserver.
  * Bump Standards-version to 3.7.2 (no changes required).
  * Add translations for debconf templates in:
    - french, thanks to Cyril Brulebois, (Closes: #364967)
    - czech, thanks to Martin Šín. (Closes: #382922)
  * Change debconf default settings to be coherent with upstream default
    configuration file.
  * Switch to ucf for configuration handling. (Closes: #367545)
  * Various other fixes in postinst and config script.
  * Add a postrm script to purge the package correctly:
    - configuration files: /etc/metche.conf, /etc/cron.d/metche
    - /!\ data files: /var/lib/metche /!\
  * Move debhelper and add po-debconf to Build-Depends (used in the clean rule).
  * Add myself as an uploader.

 -- Jérémy Bobbio <jeremy.bobbio@etu.upmc.fr>  Sat, 16 Sep 2006 18:35:06 +0200

metche (1:1.0-2) unstable; urgency=low

  * Using gettext-based debconf templates (Closes: #359252)
  * Added debconf-updatepo to clean target of debian/rules to ensure that
    debconf template files are changed so translators can be warned their
    files are outdated.
  * Added epoch to version number due to erroneous backports upload

 -- Micah Anderson <micah@riseup.net>  Tue,  4 Apr 2006 22:28:47 +0200

metche (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Micah Anderson <micah@riseup.net>  Fri, 17 Feb 2006 03:57:48 +0100

=== debian/control ===
Source: metche
Section: admin
Priority: optional
Maintainer: metche developers <metche@lists.riseup.net>
Uploaders: Micah Anderson <micah@riseup.net>, Jérémy Bobbio <lunar@debian.org>
Build-Depends: debhelper (>= 7.0.50~), po-debconf
Standards-Version: 3.9.2
Homepage: https://labs.riseup.net/code/projects/metche
Vcs-Browser: https://labs.riseup.net/code/projects/metche/repository
Vcs-Git: git://labs.riseup.net/metche.git

Package: metche
Architecture: all
Depends: ${misc:Depends}, mutt|mailx|mail-transport-agent, bzip2, ucf (>= 0.8)
Recommends: apt-show-versions, gnupg
Suggests: util-vserver
Description: configuration monitor to ease collective administration
 metche monitors changes made to a "system state" composed of:
    - a "watched" directory (typically: /etc)
    - one or more user maintained changelog files
      (e.g. /root/Changelog)
    - the state of Debian packages and versions (using apt-show-versions)
 by periodically:
    - saving backups of the corresponding files
    - emailing the changes in the system state to your administrators'
      mailing list

## metche 1.2.2

=== Makefile ===
all: doc

metche.8: metche.8.markdown
	pandoc --read=markdown --write=man --output=metche.8 --standalone $<

doc: metche.8

clean:

distclean: clean
	rm -f metche.8

.PHONY: all doc clean distclean

=== debian/changelog ===
metche (1:1.2.2-5) unstable; urgency=medium

  * Specify the actual packaging Git branch in the Vcs-Git control field.
  * Add Dutch translation of debconf messages.
    Thanks, Frans Spiesschaert <Frans.Spiesschaert@yucom.be>. (Closes: #766525)
  * Declare compliance with Standards-Version 3.9.6 (no change required).
  * Don't prepend full path to ucf in postrm.

 -- intrigeri <intrigeri@debian.org>  Fri, 28 Aug 2015 15:58:43 +0200

metche (1:1.2.2-4) unstable; urgency=medium

  * Import Japanese translation of debconf templates,
    thanks to victory <victory.deb@gmail.com> (Closes: #718914).
  * Clean up debian/control with cme.
  * Clean up Debian patches with cme, add missing DEP-3 headers.
  * Declare compatibility with standards version 3.9.5.
  * Bump debhelper compatibility level to 9.

 -- intrigeri <intrigeri@debian.org>  Tue, 18 Feb 2014 11:52:24 +0100

metche (1:1.2.2-3) unstable; urgency=low

  * Install default configuration file to /usr/share/metche/config,
    postinst may not rely on /usr/share/doc/metche (Policy 12.3).
    Closes: #710192.

 -- intrigeri <intrigeri@debian.org>  Wed, 29 May 2013 13:31:36 +0200

metche (1:1.2.2-2) unstable; urgency=low

  * Import two upstream Git commits:
    - Tell mutt *not* to save outgoing email (Closes: #657071).
    - Bypass root's mutt configuration file,
      to avoid more occurrences of #657071.

 -- intrigeri <intrigeri@debian.org>  Fri, 05 Oct 2012 20:28:16 +0200

metche (1:1.2.2-1) unstable; urgency=low

  * Imported Upstream version 1.2.2:
        - Ignore changes to $WATCHED_DIR itself.
          This fixes the dreaded "sometimes sends empty reports" bug
          metche has had since forever.
        - Fix GnuPG groups support: check for encryption key existence using
          gpg --encrypt instead of --list-public-keys.
        - Spelling and grammar fixes in manpage.
  * Update debian/copyright and convert to DEP5 format.
  * Point to the now-released copyright format 1.0 specs.
  * Bump Standards-Version to 3.9.3 (no change required).
  * Adding myself to Uploaders.
  * Add debian/watch file.

 -- intrigeri <intrigeri@debian.org>  Sat, 02 Jun 2012 10:34:23 +0200

=== debian/control ===
Source: metche
Maintainer: metche developers <metche@lists.riseup.net>
Uploaders: Micah Anderson <micah@riseup.net>,
           Jérémy Bobbio <lunar@debian.org>,
           intrigeri <intrigeri@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9),
               po-debconf
Standards-Version: 3.9.6
Vcs-Browser: https://labs.riseup.net/code/projects/metche/repository
Vcs-Git: git://labs.riseup.net/metche.git -b debian/master
Homepage: https://labs.riseup.net/code/projects/metche

Package: metche
Architecture: all
Depends: ${misc:Depends},
         mutt | mailx | mail-transport-agent,
         bzip2,
         ucf
Recommends: apt-show-versions,
            gnupg
Suggests: util-vserver
Description: configuration monitor to ease collective administration
 metche monitors changes made to a "system state" composed of:
    - a "watched" directory (typically: /etc)
    - one or more user maintained changelog files
      (e.g. /root/Changelog)
    - the state of Debian packages and versions (using apt-show-versions)
 by periodically:
    - saving backups of the corresponding files
    - emailing the changes in the system state to your administrators'
      mailing list

=== debian/rules ===
#!/usr/bin/make -f
# debian rules file for metche

PACKAGE = metche
DESTDIR = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_clean:
	debconf-updatepo
	dh_clean

override_dh_install:
	dh_install
	cp $(CURDIR)/metche $(DESTDIR)/usr/sbin
	cp $(CURDIR)/metche.8 $(DESTDIR)/usr/share/man/man8
	install -m 0644 $(CURDIR)/metche.conf.default $(DESTDIR)/usr/share/metche/config/
	chown root:staff $(DESTDIR)/var/lib/metche
	chmod 750 $(DESTDIR)/var/lib/metche

override_dh_auto_build override_dh_auto_clean:

=== debian/watch ===
version=3
https://labs.riseup.net/code/projects/metche/files \
  /code/attachments/download/[^/]+/metche[-_]([0-9.]+).*\.tar\.gz

## metche 1.2.4

=== Makefile ===
--- 
+++ 
@@ -10,4 +10,13 @@
 distclean: clean
 	rm -f metche.8
 
+VERSION=$(shell head -n1 Changelog | awk '{print $$1}')
+TARBALL=../metche-$(VERSION).tar.gz
+release: Changelog
+	! [ -f $(TARBALL) ]
+	git archive \
+	   --prefix=metche-$(VERSION)/ \
+	   --output=$(TARBALL) \
+	   master
+
 .PHONY: all doc clean distclean

=== debian/changelog ===
metche (1:1.2.4-2) unstable; urgency=medium

  * debian/control: update Homepage field.
  * Adjust debian/watch to new upstream Git hosting.
  * Orphan this package

 -- intrigeri <intrigeri@debian.org>  Thu, 14 Oct 2021 06:15:38 +0000

metche (1:1.2.4-1) unstable; urgency=medium

  * New upstream releases:
    - Bypass root's mutt configuration file.
    - Tell mutt *not* to save outgoing email.
    - Update URLs: Redmine → Gitlab.
    - Unset LC_COLLATE as well: it affects sorting so "metche report" output
      for packages changes can be erroneously large when run with locales
      different from the ones used by cron.
  * Add pt_BR translation (Closes: #820251).
  * debian/{control,copyright}: update upstream URLs.
  * Drop all patches: applied upstream.
  * Declare compliance with Standards-Version 4.0.0 (no change required).
  * Bump debhelper compat level to 10, adjust build-dependencies accordingly.
  * Generate manpage at package build time.

 -- intrigeri <intrigeri@debian.org>  Wed, 28 Jun 2017 10:10:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: metche
-Maintainer: metche developers <metche@lists.riseup.net>
-Uploaders: Micah Anderson <micah@riseup.net>,
-           Jérémy Bobbio <lunar@debian.org>,
-           intrigeri <intrigeri@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
+               pandoc,
                po-debconf
-Standards-Version: 3.9.6
-Vcs-Browser: https://labs.riseup.net/code/projects/metche/repository
-Vcs-Git: git://labs.riseup.net/metche.git -b debian/master
-Homepage: https://labs.riseup.net/code/projects/metche
+Standards-Version: 4.0.0
+Vcs-Browser: https://0xacab.org/metche/metche/tree/debian/master
+Vcs-Git: https://0xacab.org/metche/metche.git -b debian/master
+Homepage: https://0xacab.org/metche/metche/
 
 Package: metche
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,7 @@
 	chown root:staff $(DESTDIR)/var/lib/metche
 	chmod 750 $(DESTDIR)/var/lib/metche
 
-override_dh_auto_build override_dh_auto_clean:
+override_dh_auto_build:
+	make doc
+
+ override_dh_auto_clean:

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\.tar\.gz\?ref=metche_(\d\S*)/metche-$1\.tar\.gz/g \
  https://0xacab.org/metche/metche/tags .*archive\.tar\.gz\?ref=metche_(\d\S*)
